#include <stack>
#include <iostream>
using namespace std;

long long sol;
int n;
int main() {
    ios::sync_with_stdio(false);
    cin >> n;
    stack<long long> s;
    for (int i = 0; i < n; i++) {
        long long x;
        cin >> x;
        while (!s.empty() && s.top() > x)
            s.pop();
        if (!s.empty() && s.top() == x)
            continue;
        if (x != 0) {
            sol++;
            s.push(x);
        }
    }
    cout << sol << endl;
    return 0;
}
/*-----End of File-----*/
